- Main Page
- Related Pages
- Modules
- Data Structures
- Files
- Examples

Macros | Enumerations | Functions | Variables
- Ecore_Audio pulseaudio output
Ecore_Audio - Convenience audio API

## Macros
#define | ECORE_AUDIO_OBJ_OUT_PULSE_CLASS ecore_audio_obj_out_pulse_class_get()
| Ecore_Audio pulseaudio output.
#define | ECORE_AUDIO_OBJ_OUT_PULSE_ID(sub_id) (ECORE_AUDIO_OBJ_OUT_PULSE_BASE_ID + EO_TYPECHECK(enum _Ecore_Audio_Obj_Out_Pulse_Sub_Ids, sub_id))
#define | ECORE_AUDIO_EV_OUT_PULSE_CONTEXT_READY (&(_ECORE_AUDIO_EV_OUT_PULSE_CONTEXT_READY))
| The output context is ready. More...
#define | ECORE_AUDIO_EV_OUT_PULSE_CONTEXT_FAIL (&(_ECORE_AUDIO_EV_OUT_PULSE_CONTEXT_FAIL))
| The output context has failed. More...

## Enumerations
enum | _Ecore_Audio_Obj_Out_Pulse_Sub_Ids { ECORE_AUDIO_OBJ_OUT_PULSE_SUB_ID_LAST }

## Functions
const Eo_Class * | ecore_audio_obj_out_pulse_class_get ()
| Get the Eo class ID. More...

## Variables
EAPI Eo_Op | ECORE_AUDIO_OBJ_OUT_PULSE_BASE_ID
EAPI const Eo_Event_Description | _ECORE_AUDIO_EV_OUT_PULSE_CONTEXT_READY
EAPI const Eo_Event_Description | _ECORE_AUDIO_EV_OUT_PULSE_CONTEXT_FAIL

## Detailed Description

## Macro Definition Documentation

#define ECORE_AUDIO_EV_OUT_PULSE_CONTEXT_READY (&(_ECORE_AUDIO_EV_OUT_PULSE_CONTEXT_READY))

The output context is ready.

Since
  1.8

Emitted when the outout context is ready for playback

#define ECORE_AUDIO_EV_OUT_PULSE_CONTEXT_FAIL (&(_ECORE_AUDIO_EV_OUT_PULSE_CONTEXT_FAIL))

The output context has failed.

Since
  1.8

Emitted when the outout context has failed. At this point the output is unusable and will never work, so it is advisable to delete it.

## Function Documentation

const Eo_Class* ecore_audio_obj_out_pulse_class_get | ( |  | ) |

Get the Eo class ID.

Returns
  The Eo class ID